#!/bin/bash

##
## This script allows users to specify the path to the 
## execution JRE.
##
## Author: Arthur Heffern
## Maintainer: Michael Yara
## Last Modified: Jan 6, 2014
##

DESTDIR=`dirname ${0}`

# If no JAVA_HOME environment variable was found prompt the user for the path
if [ x${JAVA_HOME} = "x" ]; then
        echo "First, We need to know the path to your"
        echo "Sun Java installation [/usr/java/latest]:"
        read JAVAINSTALLPATH
fi

# If the user provided no path default to "/usr/java/latest"
if [ x${JAVAINSTALLPATH} = "x" ]; then
        JAVA_HOME="/usr/java/latest"
else
        JAVA_HOME=${JAVAINSTALLPATH}
fi

# Check if a JRE could be found at the given path
echo "Checking for Java Binary ${JAVA_HOME}/bin/java.."
if [ ! -x ${JAVA_HOME}/bin/java ]; then
        echo "You do not appear to have the Sun Microsystems Java Runtime"
        echo "Environment (JRE) installed.  We could not find the java binary"
        echo "at:"
        echo ""
        echo "${JAVA_HOME}/bin/java"
        echo ""
        echo "This program will not function appropriately without J2SE"
        echo "1.5 Java 5 or greater."
        echo ""
        exit 1
fi

# Store the JRE path in config-vars.sh
echo "JAVA_HOME=${JAVA_HOME}" > ${DESTDIR}/config-vars.sh

